com.microfocus.awm.meta.interfaces

## Interface ISAISPFPanel

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    ISAISPFPanelImpl

      public interface ISAISPFPanel
      extends AWMObject

  The ISA_ISPFPanel complex attribute identifies a tool as an ISPF panel. (deprecated)

  The following features are supported:

  - `Has Action`
  - `Has Panel Field`
  - `Panel Name`
  - `Program ID`
  See Also:
    `TaurusPackage.getISAISPFPanel()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ActionDescriptor>` | `getHasAction()` Returns the value of the 'Has Action' containment reference list.
    `org.eclipse.emf.common.util.EList<RPanelField>` | `getHasPanelField()` Returns the value of the 'Has Panel Field' containment reference list.
    `java.lang.String` | `getPanelName()` Returns the value of the 'Panel Name' attribute.
    `java.lang.String` | `getProgramID()` Returns the value of the 'Program ID' attribute.
    `void` | `setPanelName(java.lang.String value)` Sets the value of the '`Panel Name`' attribute.
    `void` | `setProgramID(java.lang.String value)` Sets the value of the '`Program ID`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getHasAction

          org.eclipse.emf.common.util.EList<ActionDescriptor> getHasAction()

      Returns the value of the 'Has Action' containment reference list. The list contents are of type `ActionDescriptor`. not used
      Returns:
        the value of the 'Has Action' containment reference list.
      See Also:
        `TaurusPackage.getISAISPFPanel_HasAction()`

    - #### getHasPanelField

          org.eclipse.emf.common.util.EList<RPanelField> getHasPanelField()

      Returns the value of the 'Has Panel Field' containment reference list. The list contents are of type `RPanelField`. Relationship to a property. The property is used to exchange its value between the ISPF panel and the Eclipse dialog.
      Returns:
        the value of the 'Has Panel Field' containment reference list.
      See Also:
        `TaurusPackage.getISAISPFPanel_HasPanelField()`

    - #### getPanelName

          java.lang.String getPanelName()

      Returns the value of the 'Panel Name' attribute.
      The name of the ISPF panel.
      Returns:
        the value of the 'Panel Name' attribute.
      See Also:
        `setPanelName(String)`, `TaurusPackage.getISAISPFPanel_PanelName()`

    - #### setPanelName

          void setPanelName(java.lang.String value)

      Sets the value of the '`Panel Name`' attribute.
      Parameters:
        `value` - the new value of the 'Panel Name' attribute.
      See Also:
        `getPanelName()`

    - #### getProgramID

          java.lang.String getProgramID()

      Returns the value of the 'Program ID' attribute.
      A reference to the ISPF module or procedure which calls the ISPF panel.
      Returns:
        the value of the 'Program ID' attribute.
      See Also:
        `setProgramID(String)`, `TaurusPackage.getISAISPFPanel_ProgramID()`

    - #### setProgramID

          void setProgramID(java.lang.String value)

      Sets the value of the '`Program ID`' attribute.
      Parameters:
        `value` - the new value of the 'Program ID' attribute.
      See Also:
        `getProgramID()`

Copyright © 2015 Micro Focus GmbH. All rights reserved.